## b4b0-10.tgz

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.0 from Makefile.am

# Copyright (C) 1994, 1995, 1996 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.


SHELL = /bin/sh

srcdir = .
top_srcdir = .
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

pkgdatadir = $(datadir)/fping
pkglibdir = $(libdir)/fping
pkgincludedir = $(includedir)/fping

top_builddir = .

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = s,x,x,

sbin_PROGRAMS = fping
fping_SOURCES = fping.c options.h linux.h
man_MANS = fping.8
AUTOMAKE_OPTIONS=foreign
ACCONFIG = acconfig.h
CONFIG_HEADER_IN = config.h.in
mkinstalldirs = $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ./config.h
PROGRAMS = $(sbin_PROGRAMS)


CC = gcc
LEX = @LEX@
YACC = @YACC@

DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I.
CPPFLAGS = 
CFLAGS = -g -O2
LDFLAGS = 
LIBS = 

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
LINK = $(CC) $(LDFLAGS) -o $@
fping_OBJECTS = fping.o
EXTRA_fping_SOURCES =
fping_LDADD = $(LDADD)
MANS = fping.8

NROFF = nroff
DIST_COMMON = README COPYING ChangeLog INSTALL Makefile.am Makefile.in \
README acconfig.h config.h.in configure configure.in install-sh \
mkinstalldirs stamp-h.in


PACKAGE = fping
VERSION = 2.2b1

DISTFILES = $(DIST_COMMON) $(SOURCES) $(BUILT_SOURCES) $(HEADERS) \
	$(TEXINFOS) $(INFOS) $(MANS) $(EXTRA_DIST) $(DATA)
DEP_DISTFILES = $(DIST_COMMON) $(SOURCES) $(BUILT_SOURCES) $(HEADERS) \
	$(TEXINFOS) $(INFO_DEPS) $(MANS) $(EXTRA_DIST) $(DATA)

TAR = tar
SOURCES = $(fping_SOURCES)
OBJECTS = $(fping_OBJECTS)

default: all


$(srcdir)/Makefile.in: Makefile.am configure.in
	cd $(srcdir) && automake Makefile

# For an explanation of the following Makefile rules, see node
# `Automatic Remaking' in GNU Autoconf documentation.
Makefile: Makefile.in config.status
	CONFIG_FILES=$@ CONFIG_HEADERS= ./config.status
config.status: configure
	./config.status --recheck
$(srcdir)/configure: configure.in $(ACLOCAL) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && autoconf

$(CONFIG_HEADER): stamp-h
stamp-h: $(CONFIG_HEADER_IN) config.status
	CONFIG_FILES= CONFIG_HEADERS=$(CONFIG_HEADER) ./config.status
	@echo timestamp > stamp-h
$(srcdir)/$(CONFIG_HEADER_IN): stamp-h.in
$(srcdir)/stamp-h.in: configure.in $(ACLOCAL) $(ACCONFIG) $(CONFIG_TOP) $(CONFIG_BOT)
	cd $(srcdir) && autoheader
	echo timestamp > $(srcdir)/stamp-h.in

mostlyclean-sbinPROGRAMS:

clean-sbinPROGRAMS:
	rm -f $(sbin_PROGRAMS)

distclean-sbinPROGRAMS:

maintainer-clean-sbinPROGRAMS:

install-sbinPROGRAMS: $(sbin_PROGRAMS)
	$(mkinstalldirs) $(sbindir)
	list="$(sbin_PROGRAMS)"; for p in $$list; do \
	  if test -f $$p; then \
	    $(INSTALL_PROGRAM) $$p $(sbindir)/`echo $$p|sed '$(transform)'`; \
	  else :; fi; \
	done

uninstall-sbinPROGRAMS:
	list="$(sbin_PROGRAMS)"; for p in $$list; do \
	  rm -f $(sbindir)/`echo $$p|sed '$(transform)'`; \
	done

.c.o:
	$(COMPILE) $<

mostlyclean-compile:
	rm -f *.o core

clean-compile:

distclean-compile:
	rm -f *.tab.c

maintainer-clean-compile:
$(fping_OBJECTS): ./config.h

fping: $(fping_OBJECTS) $(fping_DEPENDENCIES)
	$(LINK) $(fping_OBJECTS) $(fping_LDADD) $(LIBS)
install-man: $(MANS)
	$(mkinstalldirs) $(mandir)/man8
	@sect=8;				\
	inst=`echo "fping" | sed '$(transform)'`.8; \
	echo installing fping.8 as $(mandir)/man$$sect/$$inst; \
	$(INSTALL_DATA) $(srcdir)/fping.8 $(mandir)/man$$sect/$$inst

uninstall-man:
	inst=`echo "fping" | sed '$(transform)'`.8; \
	rm -f $(mandir)/man8/$$inst


ID: $(HEADERS) $(SOURCES)
	here=`pwd` && cd $(srcdir) && mkid -f$$here/ID $(SOURCES) $(HEADERS)

tags: TAGS

TAGS: $(HEADERS) $(SOURCES) $(TAGS_DEPENDENCIES)
	here=`pwd` && cd $(srcdir) && etags $(ETAGS_ARGS) $(SOURCES) $(HEADERS) -o $$here/TAGS

mostlyclean-tags:

clean-tags:

distclean-tags:
	rm -f TAGS ID

maintainer-clean-tags:

distdir = $(PACKAGE)-$(VERSION)
# This target untars the dist file and tries a VPATH configuration.  Then
# it guarantees that the distribution is self-contained by making another
# tarfile.
distcheck: dist
	rm -rf $(distdir)
	$(TAR) zxf $(distdir).tar.gz
	mkdir $(distdir)/=build
	mkdir $(distdir)/=inst
	dc_install_base=`cd $(distdir)/=inst && pwd`; \
	cd $(distdir)/=build \
	  && ../configure --srcdir=.. --prefix=$$dc_install_base \
	  && $(MAKE) \
	  && $(MAKE) check \
	  && $(MAKE) install \
	  && $(MAKE) installcheck \
	  && $(MAKE) dist
	rm -rf $(distdir)
	@echo "========================"; \
	echo "$(distdir).tar.gz is ready for distribution"; \
	echo "========================"
dist: distdir
	chmod -R a+r $(distdir)
	$(TAR) chozf $(distdir).tar.gz $(distdir)
	rm -rf $(distdir)
distdir: $(DEP_DISTFILES)
	rm -rf $(distdir)
	mkdir $(distdir)
	chmod 777 $(distdir)
	@for file in `cd $(srcdir) && echo $(DISTFILES)`; do \
	  test -f $(distdir)/$$file \
	  || ln $(srcdir)/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $(srcdir)/$$file $(distdir)/$$file; \
	done
fping.o: fping.c options.h

info:

dvi:

check: all

installcheck:

install-exec: install-sbinPROGRAMS

install-data: install-man

install: install-exec install-data all
	@:

uninstall: uninstall-sbinPROGRAMS uninstall-man

all: $(PROGRAMS) $(MANS) Makefile config.h

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install
installdirs:
	$(mkinstalldirs)  $(sbindir) $(mandir)/man8


mostlyclean-generic:
	test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	rm -f Makefile $(DISTCLEANFILES)
	rm -f config.cache config.log $(CONFIG_HEADER) stamp-h

maintainer-clean-generic:
	test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean:  mostlyclean-sbinPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-generic

clean:  clean-sbinPROGRAMS clean-compile clean-tags clean-generic \
		mostlyclean 

distclean:  distclean-sbinPROGRAMS distclean-compile distclean-tags \
		distclean-generic clean 
	rm -f config.status

maintainer-clean:  maintainer-clean-sbinPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean 
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f config.status

.PHONY: default mostlyclean-sbinPROGRAMS distclean-sbinPROGRAMS \
clean-sbinPROGRAMS maintainer-clean-sbinPROGRAMS uninstall-sbinPROGRAMS \
install-sbinPROGRAMS mostlyclean-compile distclean-compile \
clean-compile maintainer-clean-compile install-man uninstall-man tags \
mostlyclean-tags distclean-tags clean-tags maintainer-clean-tags \
distdir info dvi check installcheck install-exec install-data install \
uninstall all installdirs mostlyclean-generic distclean-generic \
clean-generic maintainer-clean-generic clean mostlyclean distclean \
maintainer-clean

.SUFFIXES:
.SUFFIXES: .c .o

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
ltrace (0.3.8) unstable; urgency=low

  * glibc-2.1 does no longer need `_GNU_SOURCE' defined to use <getopt.h>
  * Changed description of package; adopted Red Hat's one
    (thanks to whoever wrote it)
  * Close all the file descriptors used before executing program (close-on-exec)
  * Updated copyright file for new location /usr/share/common-licenses/GPL.
  * Used GNU autoconf instead of "uname" to guess host system type
  * Install man page in /usr/share/man instead of /usr/man
  * Added a few functions to /etc/ltrace.conf
  * Updated list of syscalls and signals to linux-2.2.12
  * Fixed bugs in C++ demangle (Morten Eriksen <mortene@sim.no>)
  * New Standards-Version: 3.0.1 (but keeping docs in /usr/doc)

 -- Juan Cespedes <cespedes@debian.org>  Mon, 30 Aug 1999 19:34:47 +0200

ltrace (0.3.7) unstable; urgency=low

  * Minor fixes
  * Added minor patch from Alex Buell <alex.buell@tahallah.demon.co.uk>
    to be able to compile under glibc 2.1
  * Additions to config file from David Dyck <dcd@tc.fluke.com>
  * Clean-up Makefile a bit
  * Changed `LT_PT_*' with `ARGTYPE_*'
  * Display '\\' instead of '\'
  * Updated list of syscalls and signals to linux-2.2.5
  * Compiled against glibc-2.1

 -- Juan Cespedes <cespedes@debian.org>  Sat,  3 Apr 1999 03:21:50 +0200

ltrace (0.3.6) unstable; urgency=low

  * Added m68k port (Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>) (Bug#27075)
  * Changed "int pid" with "pid_t pid" everywhere
  * Fixed return type of some functions from "int" to "void *" (thanks, Roman)

 -- Juan Cespedes <cespedes@debian.org>  Fri, 25 Sep 1998 14:48:37 +0200

ltrace (0.3.5) unstable; urgency=low

  * Added ARMLinux port (Pat Beirne <pbeirne@home.com>) (Bug#27040)
  * Fixed minor things in options.c

 -- Juan Cespedes <cespedes@debian.org>  Thu, 24 Sep 1998 13:18:01 +0200

ltrace (0.3.4) unstable; urgency=low

  * Added "ltrace.spec" to build a .rpm binary file.
  * Added "-r" option

 -- Juan Cespedes <cespedes@debian.org>  Sun, 20 Sep 1998 21:22:05 +0200

ltrace (0.3.3) unstable; urgency=low

  * Fixed a little bug in display_string
  * A few more functions added to /etc/ltrace.conf

 -- Juan Cespedes <cespedes@debian.org>  Sun,  6 Sep 1998 14:03:10 +0200

ltrace (0.3.2) unstable; urgency=low

  * Make the output line-buffered (Bug#22874)
  * New Standards-Version (2.4.1)
  * Make it compile cleanly with glibc 2.0.7

 -- Juan Cespedes <cespedes@debian.org>  Tue, 14 Jul 1998 13:45:24 +0200

ltrace (0.3.1) frozen unstable; urgency=low

  * setgid programs had their uid and gid swapped!  Fixed.

 -- Juan Cespedes <cespedes@debian.org>  Wed, 29 Apr 1998 19:25:11 +0200

ltrace (0.3.0) unstable; urgency=low

  * Preliminary autoconf support
  * Switched to getopt()
  * New option: -C (demangle C++ names)
  * New options: --help, --version
  * Display "format" (printf-like) argument types
  * Updated manual page
  * New option: -e

 -- Juan Cespedes <cespedes@debian.org>  Sat, 25 Apr 1998 14:21:59 +0200

ltrace (0.2.9) frozen unstable; urgency=low

  * Bug#20616 wasn't completely fixed; it didn't work with some programs (Fixed)
  * Stopping ltrace with ^C DIDN'T WORK if -p option is not used!! (Fixed)
  * Option -f caused program to segfault; fixed
  * Fixed nasty bug about executing set[ug]id binaries:
    When executing a program fails, don't left the program STOPPED.
  * Make ltrace work with all setuid and setgid binaries when invoked as root

 -- Juan Cespedes <cespedes@debian.org>  Sat, 11 Apr 1998 22:50:38 +0200

ltrace (0.2.8) frozen unstable; urgency=low

  * Fix important bug regarding -p: disable all breakpoints on exit (Bug#20616)
  * Compile cleanly on libc5
  * Added `-t' option (Bug#20615)

 -- Juan Cespedes <cespedes@debian.org>  Sat,  4 Apr 1998 08:34:03 +0200

ltrace (0.2.7) unstable; urgency=low

  * Some minor fixes

 -- Juan Cespedes <cespedes@debian.org>  Sun, 15 Mar 1998 14:01:40 +0100

ltrace (0.2.6) unstable; urgency=low

  * Option `-f' now works (but it fails to attach some processes...)
  * Output is now more similar to strace's

 -- Juan Cespedes <cespedes@debian.org>  Sat, 14 Mar 1998 20:50:16 +0100

ltrace (0.2.5) unstable; urgency=low

  * After a successful execve(), library calls are now logged
  * Enhanced displaying of non-printable chars
  * Added some functions to /etc/ltrace.conf

 -- Juan Cespedes <cespedes@debian.org>  Fri, 13 Mar 1998 19:16:47 +0100

ltrace (0.2.4) unstable; urgency=low

  * Option `-p' now works (but programs fail when ltrace is interrupted)

 -- Juan Cespedes <cespedes@debian.org>  Fri, 13 Mar 1998 00:29:10 +0100

ltrace (0.2.3) unstable; urgency=low

  * Don't display `...' in strings when limit of bytes is reached
  * Added some functions to /etc/ltrace.conf

 -- Juan Cespedes <cespedes@debian.org>  Wed, 11 Mar 1998 23:33:14 +0100

ltrace (0.2.2) unstable; urgency=low

  * After a successful execve(), syscalls are now logged correctly

 -- Juan Cespedes <cespedes@debian.org>  Wed, 11 Mar 1998 00:02:35 +0100

ltrace (0.2.1) unstable; urgency=low

  * Added -u option (run command as other username)
  * Updated manual page a bit

 -- Juan Cespedes <cespedes@debian.org>  Tue, 10 Mar 1998 00:08:38 +0100

ltrace (0.2.0) unstable; urgency=low

  * First `unstable' release
  * Complete re-structured all the code to be able to add support for
    different architectures (but only i386 arch is supported in this
    version)
  * Log also return values
  * Log arguments (and return values) for syscalls
  * Added preliminary support for various simultaneous processes
  * getopt-like options
  * New option: -a (alignment column)
  * New option: -L (don't display library calls)
  * New option: -s (maximum # of chars in strings)
  * Now it reads config files with function names and parameter types
  * Programs using clone() should work ok now
  * debian/rules: gzipped only big files in /usr/doc/ltrace
  * New Standards-Version: 2.4.0.0
  * beginning to work on sparc port (not yet done)



=== debian/control ===
Source: ltrace
Section: utils
Priority: optional
Maintainer: Juan Cespedes <cespedes@debian.org>
Standards-Version: 3.0.1

Package: ltrace
Architecture: i386 arm m68k
Depends: ${shlibs:Depends}
Description: Shows runtime library call information for dynamically linked executables
 ltrace is a program that simply runs the specified command until it exits.
 It intercepts and records the dynamic library calls which are called by
 the executed process and the signals which are received by that process.
 It can also intercept and print the system calls executed by the program.
 .
 The program to be traced need not be recompiled for this, so you can
 use it on binaries for which you don't have the source handy.
